Summary:   Extrema is a powerful visualization and data analysis tool
Name:      extrema
Version:   4.4.4
Release:   2%{?dist}
License:   GPLv2+
Group:     Applications/Engineering
URL:       http://exsitewebware.com/extrema/
Source0:   http://downloads.sourceforge.net/extrema/extrema-%{version}.tar.gz
Patch0:    %{name}-4.2.10.desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: wxGTK-devel >= 2.6.3
BuildRequires: desktop-file-utils ImageMagick
Requires:      extrema-help

%description
Extrema is a powerful visualization and data analysis tool that
enables researchers to quickly distill their large, complex data sets
into meaningful information. Its flexibility, sophistication, and
power allow you to easily develop your own commands and create highly
customized graphs.

%package help
Summary:   Help files for Extrema
Group:     Applications/Engineering
BuildArch: noarch
Requires:  %{name} = %{version}-%{release}
Obsoletes: %{name}-help < 4.3.6-5

%description help
This package contains help files for Extrema.

%package doc
Summary:   Extrema documentation in PDF format
Group:     Applications/Engineering
BuildArch: noarch
Requires:  %{name} = %{version}-%{release}

%description doc
This package contains Getting Started, User Guide and other
documentation in PDF format for Extrema.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
%{__make} %{?_smp_mflags}
convert Images/%{name}.gif %{name}.png

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
desktop-file-install --vendor=fedora \
    --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
%{__install} -m 0644 -D %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
%{__rm} -f %{buildroot}%{_libdir}/lib%{name}.{la,a}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Images
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files help
%defattr(-, root, root, -)
%{_datadir}/%{name}/Help

%files doc
%defattr(-, root, root, -)
%doc doc/*.pdf

%changelog
* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 4.4.4-2
- rebuilt against wxGTK-2.8.11-2

* Thu Jun 17 2010 Terje Rosten <terje.rosten@ntnu.no> - 4.4.4-1
- 4.4.4

* Sat Dec 06 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.4.2-1
- 4.4.2

* Tue Aug 18 2009 Terje Rosten <terje.rosten@ntnu.no> - 4.3.6-5
- Split out documentation

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 4.3.6-2
- Fix Patch0:/%%patch mismatch.

* Fri Aug 15 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3.6-1
- 4.3.6

* Wed Feb 27 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3.5-1
- 4.3.5

* Fri Feb  8 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3.4-2
- Rebuild

* Sun Jan  6 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3.4-1
- 4.3.4
- Drop gcc43 patch, upstream now

* Sun Jan  6 2008 Terje Rosten <terje.rosten@ntnu.no> - 4.3.1-1
- 4.3.1
- Add patch to build with gcc 4.3

* Sun Nov 18 2007 Terje Rosten <terje.rosten@ntnu.no> - 4.2.10-3
- Add req. on help subpackage

* Sun Nov  4 2007 Terje Rosten <terje.rosten@ntnu.no> - 4.2.10-2
- Fix license
- Change convert buildreq to ImageMagick
- Move to Graphics menu

* Sat Nov  3 2007 Terje Rosten <terje.rosten@ntnu.no> - 4.2.10-1
- Initial package
